> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/banking-aliases/view-banking-alias/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # View a Banking Alias GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/bankingaliases/{BankingAliasId} **Deprecated – Decommissioning planned for 2027** Mangopay plans to decommission the Banking Alias endpoints in 2027. Platforms using them should plan to re-integrate using the [Virtual Account](/api-reference/virtual-accounts/virtual-account-object) endpoints. Existing Banking Alias objects are available via the [GET View a Virtual Account](/api-reference/virtual-accounts/view-virtual-account) endpoint by using the Banking Alias `Id` and `WalletId` as path parameters. **Note - Payee confirmation in the UK** When the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion. View a Banking Alias Reference: https://docs.mangopay.com/api-reference/banking-aliases/view-banking-alias ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `BankingAliasId` (string, required) — The unique identifier of the banking alias. ## Response ### 200 Success - `OwnerName` (string, optional) — The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 ([read more](/guides/vop/payins#banking-alias-categorization)). If the User owning the attached wallet has `UserCategory` of `OWNER` and the `KYCLevel` of `REGULAR`, then the `OwnerName` is set to the `FirstName` and `LastName` values for a [Natural User](/api-reference/users/natural-user-object-sca) or the `Name` value for a [Legal User](/api-reference/users/legal-user-object-sca). In this case, the `VirtualAccountPurpose` in the API response is `USER_OWNED`. If the User is not KYC verified and an `OWNER`, then the `OwnerName` is set to “MGP `PlatformTradingName`" in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `VirtualAccountPurpose` in the API response is `COLLECTION`. **Caution:** Your platform must ensure that you use the `OwnerName` returned in the API response. - `IBAN` (string, optional) — The IBAN (international bank account number) of the banking alias. - `BIC` (string, optional) — The BIC (international identifier of the bank) for the banking alias. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `CreditedUserId` (string, optional) — The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created. **Note:** Once the banking alias is created, it is not possible to change the `CreditedUserId`. - `Country` (string, optional) — **Returned values:** DE, DK, ES, FR, GB, LU, PL The country of the banking alias. The country must correspond to the currency of the wallet. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `Active` (boolean, optional) — Whether or not the banking alias is active. **Caution:** Setting this value to `false` is irreversible. - `Type` (string, optional) — **Returned values:** `IBAN`, `GB` The type of banking alias. The `GB` value is only returned if the `Country` is `GB`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `WalletId` (string, optional) — The unique identifier of the wallet. - `LocalAccountDetails` (SortCodeAccountNumber, optional) — The banking alias details in local format returned if applicable for the `Country` (e.g. `GB`), otherwise `null` ## Types ### SortCodeAccountNumber The banking alias details in local format returned if applicable for the `Country` (e.g. `GB`), otherwise `null` - `SortCode` (string, optional) — The sort code of the banking alias in local format. - `AccountNumber` (string, optional) — The account number of the banking alias in local format. ## Examples ### FR **Response** ```json { "OwnerName": "Alex Smith", "IBAN": "FR7674521100005657670994474", "BIC": "MPAYFRP1PIN", "CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA", "Country": "FR", "Tag": "Created using Mangopay API Postman Collection", "CreationDate": 1710846581, "Active": true, "Type": "IBAN", "Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA", "WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96", "VirtualAccountPurposeResponse": "USER_OWNED" } ``` **SDK Code** ```javascript FR const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let bankingAlias = { Id: '172463615', } const getBankingAlias = async (bankingAliasId) => { return await mangopay.BankingAliases.get(bankingAliasId) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } getBankingAlias(bankingAlias.Id) ``` ```java FR import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.entities.BankingAlias; public class ViewBankingAlias { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); BankingAlias bankingAlias = mangopay.getBankingAliases().get("wltbank_m_01HTHTXVG59ATHA89ZHG2CKADA"); Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(bankingAlias); System.out.println(prettyJson); } } ``` ```csharp FR using MangoPay.SDK; using MangoPay.SDK.Entities.PUT; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var bankingAliasId = "wltbank_m_01J3CZJSQW4V3BGHGTNM34EA1P"; var viewBankingAlias = await api.BankingAlias.GetAsync(bankingAliasId); string prettyPrint = JsonConvert.SerializeObject(viewBankingAlias, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php FR Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $bankingAliasId = '157608228'; $response = $api->BankingAliases->Get($bankingAliasId); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby FR require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def viewBankingAlias(bankingAliasId) begin response = MangoPay::BankingAliases.fetch(bankingAliasId) puts response return response rescue MangoPay::ResponseError => error puts "Failed to fetch banking alias: #{error.message}" puts "Error details: #{error.details}" return false end end myBankingAlias = { Id: '157608228' } viewBankingAlias(myBankingAlias[:Id]) ``` ### GB **Response** ```json { "OwnerName": "MGP PlatformTradingName", "IBAN": "GB78SAPY60838221394585", "BIC": null, "CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G", "Country": "GB", "Tag": "Created using Mangopay API Postman Collection", "CreationDate": 1730883439, "Active": true, "Type": "GB", "Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q", "WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM", "LocalAccountDetails": { "SortCode": "608382", "AccountNumber": "21394585" }, "VirtualAccountPurposeResponse": "COLLECTION" } ``` **SDK Code** ```javascript GB const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let bankingAlias = { Id: '172463615', } const getBankingAlias = async (bankingAliasId) => { return await mangopay.BankingAliases.get(bankingAliasId) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } getBankingAlias(bankingAlias.Id) ``` ```java GB import com.google.gson.Gson; import com.google.gson.GsonBuilder; import com.mangopay.MangoPayApi; import com.mangopay.entities.BankingAlias; public class ViewBankingAlias { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); BankingAlias bankingAlias = mangopay.getBankingAliases().get("wltbank_m_01HTHTXVG59ATHA89ZHG2CKADA"); Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(bankingAlias); System.out.println(prettyJson); } } ``` ```csharp GB using MangoPay.SDK; using MangoPay.SDK.Entities.PUT; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var bankingAliasId = "wltbank_m_01J3CZJSQW4V3BGHGTNM34EA1P"; var viewBankingAlias = await api.BankingAlias.GetAsync(bankingAliasId); string prettyPrint = JsonConvert.SerializeObject(viewBankingAlias, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php GB Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $bankingAliasId = '157608228'; $response = $api->BankingAliases->Get($bankingAliasId); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby GB require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def viewBankingAlias(bankingAliasId) begin response = MangoPay::BankingAliases.fetch(bankingAliasId) puts response return response rescue MangoPay::ResponseError => error puts "Failed to fetch banking alias: #{error.message}" puts "Error details: #{error.details}" return false end end myBankingAlias = { Id: '157608228' } viewBankingAlias(myBankingAlias[:Id]) ```